<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <!-- Bootstrap Link -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />
    <!-- <link rel="stylesheet" href="./style.css" /> -->
    <title>Bootstrap Grid System</title>
  </head>
  <body class="text-center">
    <h1>Bootstrap Grid System</h1>

    <!-- 2 columns -->
    <h2>Two columns</h2>
    <div class="container-fluid">
      <h3>1:1 ratio</h3>
      <div class="row">
        <div class="bg-primary col-6 pt-3 pb-3 border border-dark">6 col</div>
        <div class="bg-secondary col-6 pt-3 pb-3 border border-dark">6 col</div>
      </div>
      <h3>1:3 ratio</h3>
      <div class="row">
        <div class="bg-primary col-3 pt-3 pb-3 border border-dark">3 col</div>
        <div class="bg-secondary col-9 pt-3 pb-3 border border-dark">9 col</div>
      </div>
      <h3>1:2 ratio</h3>
      <div class="row">
        <div class="bg-primary col-4 pt-3 pb-3 border border-dark">4 col</div>
        <div class="bg-secondary col-8 pt-3 pb-3 border border-dark">8 col</div>
      </div>
    </div>

    <!-- 3 columns -->
    <div class="container-fluid">
      <h3>1:1:1 ratio</h3>
      <div class="row">
        <div class="bg-primary col-4 pt-3 pb-3 border border-dark">4 col</div>
        <div class="bg-secondary col-4 pt-3 pb-3 border border-dark">4 col</div>
        <div class="bg-danger col-4 pt-3 pb-3 border border-dark">4 col</div>
      </div>
      <h3>1:2:1 ratio</h3>
      <div class="row">
        <div class="bg-primary col-3 pt-3 pb-3 border border-dark">3 col</div>
        <div class="bg-secondary col-6 pt-3 pb-3 border border-dark">6 col</div>
        <div class="bg-danger col-3 pt-3 pb-3 border border-dark">3 col</div>
      </div>
      <h3>3:7:2 ratio</h3>
      <div class="row">
        <div class="bg-primary col-3 pt-3 pb-3 border border-dark">3 col</div>
        <div class="bg-secondary col-7 pt-3 pb-3 border border-dark">7 col</div>
        <div class="bg-secondary col-2 pt-3 pb-3 border border-dark">2 col</div>
      </div>
    </div>

    <h2>Automatic Sizing</h2>
    <div class="container-fluid">
      <div class="row">
        <div class="bg-primary pt-3 pb-3 border border-dark col-7">
          Automatic
        </div>
        <div class="bg-secondary pt-3 pb-3 border border-dark col">
          Automatic
        </div>
        <div class="bg-danger pt-3 pb-3 border border-dark col">Automatic</div>
      </div>
    </div>

    <h2>Multi-row</h2>
    <div class="container-fluid">
      <div class="row">
        <div class="bg-primary pt-3 pb-3 border border-dark col-4">
          Catalog 1
        </div>
        <div class="bg-secondary pt-3 pb-3 border border-dark col-4">
          Catalog 2
        </div>
        <div class="bg-danger pt-3 pb-3 border border-dark col-4">
          Catalog 3
        </div>
        <div class="bg-dark pt-3 pb-3 border border-dark col-4">Catalog 4</div>
        <div class="bg-success pt-3 pb-3 border border-dark col-4">
          Catalog 5
        </div>
        <div class="bg-warning pt-3 pb-3 border border-dark col-4">
          Catalog 6
        </div>
      </div>
    </div>

    <h2>Offsetting Columns</h2>
    <div class="container-fluid">
      <div class="row">
        <div
          class="bg-primary pt-3 pb-3 border border-dark col-7 offset-3 mx-auto"
        >
          Offset Column
        </div>
        <div
          class="bg-secondary pt-3 pb-3 border border-dark col-6 offset-md-3 offset-0"
        >
          Offset Column
        </div>
        <div
          class="bg-danger pt-3 pb-3 border border-dark col-7 offset-md-5 offset-0"
        >
          Offset Column
        </div>
      </div>
    </div>

    <h2>Column Orders</h2>
    <div class="container-fluid">
      <div class="row">
        <div class="bg-primary pt-3 pb-3 border border-dark col order-xl-2">
          Column Order - Left
        </div>
        <div class="bg-secondary pt-3 pb-3 border border-dark col order-xl-1">
          Column Order - Right
        </div>
      </div>
    </div>

    <!-- Bootstrap Script -->
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
